%global pkg_name        Cache-FastMmap
%global pkg_version     1.24
%global rpm_pkg_version 1.24
%global rpm_pkg_release 1.n0i.8

Summary:       Uses an mmap-ed file to act as a shared memory interprocess cache
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RO/ROBM/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(POSIX)
BuildRequires: perl(Storable)


%description
A shared memory cache through an mmap'ed file. It's core is written in C
for performance. It uses fcntl locking to ensure multiple processes can
safely access the cache at the same time. It uses a basic LRU algorithm to
keep the most used entries in the cache.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Oct 23 2007 Marius Feraru <altblue@n0i.net> - 1.24-1.n0i.8
- version 1.24

* Fri Oct 19 2007 Marius Feraru <altblue@n0i.net> - 1.23-1.n0i.7
- version 1.23

* Tue Oct 16 2007 Marius Feraru <altblue@n0i.net> - 1.21-1.n0i.6
- version 1.21

* Wed Oct 03 2007 Marius Feraru <altblue@n0i.net> - 1.20-1.n0i.5
- version 1.20

* Fri Aug 24 2007 Marius Feraru <altblue@n0i.net> - 1.19-1.n0i.4
- version 1.19

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.16-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.16

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.09-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Sat Aug 06 2005 Marius Feraru <altblue@n0i.net> 1.09-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
